lwIP 2.1.2 Lightweight IP stack

Macros
altcp_tls_mbedtls_opts.h File Reference
`#include "lwip/opt.h"`

## Macros
#define | LWIP_ALTCP_TLS_MBEDTLS 0
#define | ALTCP_MBEDTLS_DEBUG LWIP_DBG_OFF
#define | ALTCP_MBEDTLS_SESSION_CACHE_TIMEOUT_SECONDS 0

## Detailed Description

Application layered TCP/TLS connection API (to be used from TCPIP thread)

This file contains options for an mbedtls port of the TLS layer.

## Macro Definition Documentation

## ◆ ALTCP_MBEDTLS_DEBUG

#define ALTCP_MBEDTLS_DEBUG LWIP_DBG_OFF

Configure debug level of this file

## ◆ ALTCP_MBEDTLS_SESSION_CACHE_TIMEOUT_SECONDS

#define ALTCP_MBEDTLS_SESSION_CACHE_TIMEOUT_SECONDS 0

Set a session timeout in seconds for the basic session cache ATTENTION: Using a session cache can lower security by reusing keys!

## ◆ LWIP_ALTCP_TLS_MBEDTLS

#define LWIP_ALTCP_TLS_MBEDTLS 0

LWIP_ALTCP_TLS_MBEDTLS==1: use mbedTLS for TLS support for altcp API mbedtls include directory must be reachable via include search path